org.eclipse.graphiti.ui.internal.policy

## Class ShapeXYLayoutEditPolicy

- java.lang.Object
- - org.eclipse.gef.editpolicies.AbstractEditPolicy
  - - org.eclipse.gef.editpolicies.GraphicalEditPolicy
    - - org.eclipse.gef.editpolicies.LayoutEditPolicy
      - - org.eclipse.gef.editpolicies.ConstrainedLayoutEditPolicy
        - - org.eclipse.gef.editpolicies.XYLayoutEditPolicy
          - - org.eclipse.graphiti.ui.internal.policy.ShapeXYLayoutEditPolicy

All Implemented Interfaces:
  org.eclipse.gef.EditPolicy, org.eclipse.gef.RequestConstants

Direct Known Subclasses:
  ShapeContainerAndXYLayoutEditPolicy

    public class ShapeXYLayoutEditPolicy
    extends org.eclipse.gef.editpolicies.XYLayoutEditPolicy

An EditPolicy, where the Layout of the EditParts is important: they must have an XYLayout. It assumes, that this EditPart is a parent, whose children can be added/deleted/moved.

See Also:
  `IEditPolicyFactory.createShapeXYLayoutEditPolicy()`

### Field Summary

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Method Summary

All Methods Static Methods Concrete Methods
`static ICreateContext` `createCreateContext(ContainerShape target, org.eclipse.draw2d.geometry.Rectangle rect)`

### Methods inherited from class org.eclipse.gef.editpolicies.XYLayoutEditPolicy

`getConstraintFor, getConstraintFor, setXyLayout`

### Methods inherited from class org.eclipse.gef.editpolicies.ConstrainedLayoutEditPolicy

`getCommand`

### Methods inherited from class org.eclipse.gef.editpolicies.LayoutEditPolicy

`activate, deactivate, eraseTargetFeedback, getTargetEditPart, showTargetFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`eraseSourceFeedback, getHost, setHost, showSourceFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### createCreateContext

    public static ICreateContext createCreateContext(ContainerShape target,
                                                     org.eclipse.draw2d.geometry.Rectangle rect)

Parameters:
  `constraint` -
  `coll` -
  `container` -
  `container2` -
Returns: